%define major 0
%define libname %mklibname ilbc %{major}
%define libnamedev %mklibname ilbc2 -d

Summary:	Internet Low Bitrate Codec (iLBC) library
Name:		libilbc2
Version:	0.0.1
Release:	%mkrel 4
License:	BSD-style
Group:		System/Libraries
URL:		https://github.com/TimothyGu/libilbc
Source0:	https://github.com/TimothyGu/libilbc/releases/download/v%{version}/ilbc-0.0.1.tar.gz
Patch0:		ilbc-0.0.1-pkgconfig.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n	%{libname}
Summary:	Internet Low Bitrate Codec (iLBC) library
Group:		System/Libraries
Obsoletes:	%{_lib}ilbc22_0 < 0.0.1-2

%description -n	%{libname}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n %{libnamedev}
Summary:	Development and header files for the iLBC library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	libilbc-devel >= 2.0.0

%description -n %{libnamedev}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%prep

%setup -q -n ilbc-0.0.1
%autopatch -p1

%build
autoreconf -fi
%configure \
    --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.*a
rm -rf %{buildroot}%{_datadir}/doc/libilbc

%files -n %{libname}
%doc COPYING README* NEWS*
%{_libdir}/libilbc.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/ilbc.h
%{_includedir}/ilbc/*.h
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/ilbc.pc


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.0.1-4.mga8
+ Revision: 1514210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.1-3.mga7
+ Revision: 1298919
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 0.0.1-2.mga7
+ Revision: 1247237
- fix lib pkg name
  (though we still have weird src pkg naming as libilbc is for v2.0.x and libilbc2 is for v0.0.x)
- fix devel pkg requires and provides
- make devel pkg to conflict with newer libilbc

* Sat May 14 2016 dlucio <dlucio> 0.0.1-1.mga6
+ Revision: 1015496
- 0.0.1
- imported package libilbc2

